&application; Developer Nick Schermer

    nick@xfce.org

Developer Benedikt Meurer Software developer os-cillation System development

    benny@xfce.org

&application;
1
&version;
Xfce

# &application;

A Terminal emulator for X

## Synopsis

          Terminal
          OPTION

## Description

&application; is what is known as an X terminal emulator, often referred to as terminal or shell. It provides an equivalent to the old-fashioned text screen on your desktop, but one which can easily share the screen with other graphical applications. Windows users may already be familiar with the MS-DOS Prompt utility, which has the analogous function of offering a DOS command-line under Windows, though one should note that the UNIX CLI offer far more power and ease of use than does DOS.

&application; emulates the xterm application developed by the X Consortium. In turn, the xterm application emulates the DEC VT102 terminal and also supports the DEC VT220 escape sequences. An escape sequence is a series of characters that start with the Esc character. &application; accepts all of the escape sequences that the VT102 and VT220 terminals use for functions such as to position the cursor and to clear the screen.

## Options

### Option Summary

Here is a summary of all the options, grouped by type. Explanations are in the following sections.

General Options

  ; ; ; ;

Window or Tab Separators

  ;

Tab Options

  ; ; ; ;

Window Options

  ; ; ; ; ; ; ; , ; , ; ,

### General Options

`-h`, `--help`

  List the various command line options supported by &application; and exit

`-V`, `--version`

  Display version information and exit

`--disable-server`

  Do not register with the D-BUS session message bus

`--default-display=display`

  Default X display to use.

`--default-working-directory=directory`

  Set `directory` as the default working directory for the terminal

### Window or Tab Separators

`--tab`

  Open a new tab in the last-specified window; more than one of these options can be provided.

`--window`

  Open a new window containing one tab; more than one of these options can be provided.

### Tab Options

`-x`, `--execute`

  Execute the remainder of the command line inside the terminal

`-e`, `--command=command`

  Execute `command` inside the terminal

`--working-directory=directory`

  Set `directory` as the working directory for the terminal

`-T`, `--title=title`

  Set `title` as the initial window title for the terminal

`-H`, `--hold`

  Causes the terminal to be kept around after the child command has terminated

### Window Options

`--display=display`

  X display to use for the last- specified window.

`--geometry=geometry`

  Sets the geometry of the last-specified window to `geometry`. Read X 7 for more information on how to specify window geometries.

`--role=role`

  Sets the window role of the last-specified window to `role`. Applies to only one window and can be specified once for each window you create from the command line. It is mostly used for session management inside &application;

`--startup-id=string`

  Specifies the startup notification id for the last-specified window. Used internally to forward the startup notification id when using the D-BUS service.

`-I, --icon=icon`

  Set the terminal's icon as an icon name or filename.

`--fullscreen`

  Set the last-specified window into fullscreen mode; applies to only one window; can be specified once for each window you create from the command line.

`--maximize`

  Set the last-specified window into maximized mode; applies to only one window; can be specified once for each window you create from the command line.

`--show-menubar`

  Turn on the menubar for the last-specified window. Can be specified once for each window you create from the command line.

`--hide-menubar`

  Turn off the menubar for the last-specified window. Can be specified once for each window you create from the command line.

`--show-borders`

  Turn on the window decorations for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--hide-borders`

  Turn off the window decorations for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--show-toolbars`

  Turn on the toolbars for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--hide-toolbars`

  Turn off the toolbars for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

## Examples

&application; --geometry 80x40 --command mutt --tab --command mc

  Opens a new terminal window with a geometry of 80 columns and 40 rows and two tabs in it, where the first tab runs `mutt` and the second tab runs `mc`.

## Environment

Terminal uses the Basedir Specification as defined on Freedesktop.org to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

`${XDG_CONFIG_HOME}`

  The first base directory to look for configuration files. By default this is set to `~/.config/`.

`${XDG_CONFIG_DIRS}`

  A colon separated list of base directories that contain configuration data. By default the application will look in `${sysconfdir}/xdg/`. The value of `${sysconfdir}` depends on how the program was build and will often be `/etc/` for binary packages.

`${XDG_DATA_HOME}`

  The root for all user-specific data files. By default this is set to `~/.local/share/`.

`${XDG_DATA_DIRS}`

  A set of preference ordered base directories relative to which data files should be searched in addition to the `${XDG_DATA_HOME}` base directory. The directories should be separated with a colon.

## Files

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  This is the location of the configuration file that includes the preferences which control the look and feel of &application;.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  This file includes the user interface definition for the toolbars. If you customize the toolbars using the graphical toolbars editor, &application; will store the new toolbars layout in the file `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

## See also

bash 1 , X 7